#ifndef UI_EXPENSEHELPER_H
#define UI_EXPENSEHELPER_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHBoxLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QTableWidget>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_ExpenseHelperDialog
{
public:
    QWidget *widget;
    QHBoxLayout *hboxLayout;
    QTableWidget *tableWidget;
    QVBoxLayout *vboxLayout;
    QPushButton *addRowButton;
    QPushButton *removeRowButton;
    QSpacerItem *spacerItem;
    QPushButton *computeButton;
    QSpacerItem *spacerItem1;
    QPushButton *quitButton;

    void setupUi(QWidget *ExpenseHelperDialog)
    {
    ExpenseHelperDialog->setObjectName(QString::fromUtf8("ExpenseHelperDialog"));
    ExpenseHelperDialog->resize(QSize(573, 433).expandedTo(ExpenseHelperDialog->minimumSizeHint()));
    widget = new QWidget(ExpenseHelperDialog);
    widget->setObjectName(QString::fromUtf8("widget"));
    widget->setGeometry(QRect(9, 9, 580, 27));
    hboxLayout = new QHBoxLayout(ExpenseHelperDialog);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(8);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    tableWidget = new QTableWidget(ExpenseHelperDialog);
    tableWidget->setObjectName(QString::fromUtf8("tableWidget"));
    tableWidget->setAlternatingRowColors(true);
    tableWidget->setSelectionMode(QAbstractItemView::SingleSelection);

    hboxLayout->addWidget(tableWidget);

    vboxLayout = new QVBoxLayout();
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    addRowButton = new QPushButton(ExpenseHelperDialog);
    addRowButton->setObjectName(QString::fromUtf8("addRowButton"));

    vboxLayout->addWidget(addRowButton);

    removeRowButton = new QPushButton(ExpenseHelperDialog);
    removeRowButton->setObjectName(QString::fromUtf8("removeRowButton"));

    vboxLayout->addWidget(removeRowButton);

    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Minimum, QSizePolicy::Fixed);

    vboxLayout->addItem(spacerItem);

    computeButton = new QPushButton(ExpenseHelperDialog);
    computeButton->setObjectName(QString::fromUtf8("computeButton"));
    computeButton->setDefault(true);

    vboxLayout->addWidget(computeButton);

    spacerItem1 = new QSpacerItem(20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem1);

    quitButton = new QPushButton(ExpenseHelperDialog);
    quitButton->setObjectName(QString::fromUtf8("quitButton"));

    vboxLayout->addWidget(quitButton);


    hboxLayout->addLayout(vboxLayout);

    retranslateUi(ExpenseHelperDialog);
    QObject::connect(quitButton, SIGNAL(clicked()), ExpenseHelperDialog, SLOT(close()));

    QMetaObject::connectSlotsByName(ExpenseHelperDialog);
    } // setupUi

    void retranslateUi(QWidget *ExpenseHelperDialog)
    {
    ExpenseHelperDialog->setWindowTitle(QApplication::translate("ExpenseHelperDialog", "Expense Helper"));
    addRowButton->setText(QApplication::translate("ExpenseHelperDialog", "&Add Row"));
    removeRowButton->setText(QApplication::translate("ExpenseHelperDialog", "&Remove Row"));
    computeButton->setText(QApplication::translate("ExpenseHelperDialog", "&Compute Expenses"));
    quitButton->setText(QApplication::translate("ExpenseHelperDialog", "&Quit"));
    Q_UNUSED(ExpenseHelperDialog);
    } // retranslateUi

};

namespace Ui {
    class ExpenseHelperDialog: public Ui_ExpenseHelperDialog {};
} // namespace Ui

#endif // UI_EXPENSEHELPER_H
